#ifdef GL_ES
	precision mediump float;
#endif

#define LINE_WIDTH 0.5
#define LINE_WIDTH_X10 (0.1*LINE_WIDTH)

varying vec4 v_uv;
varying vec4 v_pos;

void main() {
  gl_FragColor = vec4(0.1, 0.1, 0.1, 0.1);
  
  
  // gl_FragColor.a = 0.5* ( floor(0.505 + 0.5*cos(10.0*3.14159*v_pos.x)) + floor(0.505 + 0.5*cos(10.0*3.1416*v_pos.y)) );
  

  // quads
  
  if ( (fract(0.5*v_pos.y) < 0.5) && (fract(0.5*v_pos.x)<0.5) ) {
  	gl_FragColor.a = 0.33;
  }
  
  if ( !(fract(0.5*v_pos.y) < 0.5) && !(fract(0.5*v_pos.x)<0.5) ) {
  	gl_FragColor.a = 0.33;
  }
	
  
  // Y
  
  if ( abs(v_pos.x) < 0.05 ) {
  	gl_FragColor.rgba = vec4(0.2, 0.2 + 0.4*(v_pos.y + 1.0), 0.2, 0.9);
  };
  
  // X
  
  if ( abs(v_pos.y) < 0.05 	 ) {
  	gl_FragColor.rgba = vec4( 0.2 + 0.4*(v_pos.x + 1.0) , 0.2, 0.2, 0.9);
  };
  
  // Z
  
  if ( abs(v_pos.z) > 0.01 ) {
  	gl_FragColor.rgba = vec4( 0.2, 0.2, 0.2 + 0.4*(v_pos.z + 1.0), 0.9 );
  } 
  
  gl_FragColor.r += v_uv[0]*0.00001;
  
  
}
