#ifdef GL_ES
	precision mediump float;
#endif

uniform sampler2D u_sampler;
varying vec4 v_uv;

varying float v_type;

uniform vec4 u_pos_modif;

void main() {



	float hl = v_uv.p;  // highlighted
	float hl2 = v_uv.q; // radio bullet for radio, focused for button
	
	
	vec4 v = texture2D(u_sampler, vec2(v_uv.s, v_uv.t) );
	
	if (v_type < 0.5) {
		// image		
		// can't lookup here: 
		// Warning:
		// Calls to any function that may require a gradient calculation inside a conditional block may return undefined results
	} 
	else {
		v = vec4(0.2, 0.2, 0.25, 0.8);
		v = v + vec4(0.35*hl + hl2, 
			0.35*hl + hl2, 
			0.355*hl + hl2, 0.0);
	};
	
	// v = v + vec4(hl2, hl2, hl2, 0.0);


	v.a = v.a * u_pos_modif.a;

	gl_FragColor = v;   
	
}
