uniform mat4 u_proj;
uniform mat4 u_modelview;

attribute vec4 a_uv;
attribute vec4 a_pos;

varying vec4 v_uv;
varying vec4 v_pos;

void main() {

  v_pos = a_pos;

  gl_Position = u_proj * u_modelview * (a_pos + vec4(0.0, 0.0, 0.01, 0.0) );
  
  v_uv = a_uv;
}
