#ifdef GL_ES
	precision mediump float;
#endif

varying vec2 v_uv;

uniform sampler2D u_sampler;
uniform vec4 u_color;

varying vec3 eye_normal2;
varying vec3 light_pos;
varying vec3 v_norm;

varying vec4 v_color;

uniform vec3 u_lval_k;


void main(void)
{

    vec4 c = texture2D(u_sampler, v_uv.st);
    /*c = c * 0.01 + vec4(0.5, 0.5, 0.5, 1.0);*/
    
    float lval = -0.4*v_norm.x + 0.5*v_norm.y + 0.1*v_norm.z; // <------------ OK
    // float lval = -0.0*v_norm.x + 0.3*v_norm.y + 0.6*v_norm.z; // <------------ test from top
    
    
    //lval = 0.2 + 1.17*lval;
    lval = u_lval_k.x + u_lval_k.y*lval;
    
    
    /* // show natural color
    if (v_uv.s > 0.5) {
    	lval = 1.0;
    };
    */
    
    vec4 light = vec4(lval, lval, lval, 1.0);
    
    //lval = -v_norm.x;
    
    c = c * 0.2 + 0.7 * vec4(lval, lval, lval, 1.0);
    
 	/* gl_FragColor = c * light_value * 0.5 + v_color * 0.5;
 	
 	gl_FragColor = gl_FragColor * vec4(u_color.r, u_color.g, u_color.b, 1.0); */
 	
 	gl_FragColor = (vec4(u_lval_k.z) + (1.0 - u_lval_k.z)*v_color) * light * u_color; // vec4(lval, lval, lval, 1.0) * v_color;
 	
 	//gl_FragColor = (vec4(0.05) + 0.95*v_color) * light; // vec4(lval, lval, lval, 1.0) * v_color;
 	
 	
 	
 	
	gl_FragColor.a = 1.0;
	
}  
